members.dev
Pass designs

List Pass Designs

Lists Pass Designs

GET
/v1/pass-designs

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Header Parameters

Members-Context?string

Members organization id (org_…) when the client has multiple organizations.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/v1/pass-designs"
{
  "items": [
    {
      "title": "string",
      "background_color": "#000000",
      "label_color": "string",
      "foreground_color": "string",
      "strip_color": "string",
      "layout": "strip_image",
      "strip_image_url": "string",
      "logo_url": "string",
      "logo_title": "string",
      "header_field_label": "string",
      "header_field": {
        "kind": "system",
        "key": "name"
      },
      "primary_field_label": "string",
      "primary_field": {
        "kind": "system",
        "key": "name"
      },
      "secondary_fields": [
        {
          "label": "string",
          "field": {
            "kind": "system",
            "key": "name"
          }
        }
      ],
      "barcode_type": "none",
      "barcode_field": {
        "kind": "system",
        "key": "name"
      },
      "show_barcode_alt_text": false,
      "eligibility": {
        "type": "active_members"
      },
      "id": "string",
      "organization_id": "string",
      "archived_at": {},
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}